Rezepte
ReferenceUsers

/api/v1/users

Create a user

POST/api/v1/users
rezepte_session<token>

Session cookie set by POST /api/v1/auth/login.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/v1/users" \  -H "Content-Type: application/json" \  -d '{    "role": "admin",    "username": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/CreatedUserAccount.json",  "avatarId": "string",  "canSharePublicly": true,  "color": "amber",  "createdAt": "2019-08-24T14:15:22Z",  "displayName": "string",  "email": "string",  "emailVerified": true,  "hasIdentity": true,  "hasPassword": true,  "id": "string",  "locale": "en",  "role": "superadmin",  "setupLink": {    "$schema": "https://example.com/api/v1/schemas/SetupLinkBody.json",    "expiresAt": "2019-08-24T14:15:22Z",    "mailError": "send_failed",    "mailedTo": "string",    "path": "string"  },  "setupLinkExpiresAt": "2019-08-24T14:15:22Z",  "username": "string"}